Subject: Problems with libtool-base in Solaris 9
To: None <tech-pkg@NetBSD.Org>
From: =?iso-8859-1?b?UmH6bA==?= Alvarez Venegas <>
List: tech-pkg
Date: 02/12/2004 15:42:20

We are having a little trouble getting to compile pkgsrc/devel/libtool-base in
Solaris 9. The system has gcc-3.3 from the companion cd and Solaris 'ld'
Default shell is /usr/xpg4/bin/sh

I appreciate any recommendations and comments. Thanks in advance,



# echo $PATH

# bmake
===> Checking for vulnerabilities in libtool-base-1.5.2nb2
=> Checksum OK for libtool-1.5.2.tar.gz.
checking for style of include used by /usr/pkg/bin/bmake... GNU
checking dependency style of gcc... none
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking build system type... sparc-sun-solaris2.9
checking host system type... sparc-sun-solaris2
checking for a sed that does not truncate output... (cached)
checking for egrep... grep -E
checking for ld used by gcc... ./configure[3462]: s%\\%/%g:  not found
configure: error: no acceptable ld found in $PATH
configure: error: /bin/ksh './configure' failed for libltdl
*** Error code 1

bmake: stopped in /usr/pkgsrc/devel/libtool-base
*** Error code 1

bmake: stopped in /usr/pkgsrc/devel/libtool-base